kind: pipeline
name: build-and-deploy

steps:
  - name: build
    image: node:latest
    environment:
      USERNAME:
        from_secret: git_username
      PASSWORD:
        from_secret: git_password
    commands:
      - npm install
      - node -v

  - name: docker
    image: plugins/docker
    settings:
      registry: git.dinawo.fr
      repo: git.dinawo.fr/drone/julianium
      tags: latest
      username:
        from_secret: git_username
      password:
        from_secret: git_password